# $Revision: 1.10 $, $Date: 2008-02-08 14:06:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Sys
%define		pnam	Hostname-Long
Summary:	Sys::Hostname::Long - try every conceivable way to get full hostname
Summary(pl.UTF-8):	Sys::Hostname::Long - uzyskiwanie pełnej nazwy hosta
Name:		perl-Sys-Hostname-Long
Version:	1.4
Release:	2
License:	GPL v2+
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Sys/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	a5b3c23754cbcff10e283d16c42ec3d3
URL:		http://search.cpan.org/dist/Sys-Hostname-Long/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Sys::Hostname::Long - Try every conceivable way to get full hostname.

%description -l pl.UTF-8
Sys::Hostname::Long próbuje wszelkich możliwych sposobów żeby uzyskać
pełną nazwę hosta.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Sys/Hostname
%{perl_vendorlib}/Sys/Hostname/Long.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Sys-Hostname-Long.spec,v $
Revision 1.10  2008-02-08 14:06:31  arekm
- rel 2

Revision 1.9  2008-01-10 08:38:41  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.8  2007-03-13 08:03:09  qboosh
- generic URL

Revision 1.7  2007/02/13 07:47:15  glen
- tabs in preamble

Revision 1.6  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.5  2005/11/23 22:09:35  czucz
- updated to 1.4

Revision 1.4  2005/10/17 10:13:46  hawk
- release 4 (3 will go to Ra)

Revision 1.3  2005/10/05 10:31:08  glen
- missing dir; rel 2

Revision 1.2  2005/06/16 22:37:48  qboosh
- copy-pasto

Revision 1.1  2005/06/14 12:51:14  baggins
- initial revision
